<?php

class default_page extends SYSTEM\PAGE\Page {
    public static function js(){
        return  '<script type="text/javascript" src="'.\SYSTEM\WEBPATH(new PLIB(),'jquery/jquery-1.9.1.min.js').'"></script>'.
                '<script type="text/javascript" src="'.\SYSTEM\WEBPATH(new PLIB(),'bootstrap/js/bootstrap.min.js').'"></script>'.
                '<script type="text/javascript" src="http://www.openlayers.org/api/OpenLayers.js"></script>'.
                '<script type="text/javascript" src="http://www.openstreetmap.org/openlayers/OpenStreetMap.js"></script>'.
                '<script type="text/javascript" src="'.\SYSTEM\WEBPATH(new PSAI(),'saimod_webcraft_gallery/js/galleria/galleria-1.2.9.min.js').'"></script>'.
                '<script type="text/javascript" src="'.\SYSTEM\WEBPATH(new PPAGE(),'default_page/js/default_page.js').'"></script>'.
                '<script type="text/javascript" src="'.\SYSTEM\WEBPATH(new PPAGE(),'default_page/js/map.js').'"></script>';
    }
    public function html($_escaped_fragment_ = NULL) {
        $vars = array();
        $vars['js'] = '';
        if(!$_escaped_fragment_){
            $vars['js'] = self::js();}
        $vars['css'] = self::css();
        $vars['default_gallery'] = saimod_webcraft_gallery::getGalleryGalleria(1);
        $vars['default_content'] = (new default_content())->html();
        $vars = array_merge($vars,  \SYSTEM\PAGE\text::tag('friseurteam'),
                                    \SYSTEM\PAGE\text::tag('basic'));
        return \SYSTEM\PAGE\replace::replaceFile(\SYSTEM\SERVERPATH(new PPAGE(),'default_page/tpl/friseurteam.tpl'), $vars);
    }
    
    public static function css(){
        return '<link rel="stylesheet" href="'.\SYSTEM\WEBPATH(new PLIB(),'bootstrap/css/bootstrap.min.css').'" type="text/css" />'.
               '<link rel="stylesheet" href="'.\SYSTEM\WEBPATH(new PPAGE(),'default_page/css/default_page.css').'" type="text/css" />';
    }
}